Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609712 - After swapping a controller, HBA does not log back into a new controller
After swapping a controller, HBA does not log back into a new controller
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
x86_64 Linux
medium Severity high
: rc
: ---
Assigned To: Tomas Henzl
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-30 17:05 EDT by msrkarthikeyan
Modified: 2010-10-21 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 15:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description msrkarthikeyan 2010-06-30 17:05:57 EDT
synopsis
-----------
After swapping a controller, HBA does not log back into a new controller

Details of the problem:
-------------------------
When a controller in the array is failed, the host fails over the luns. 

After replacing the controller with an identical controller, the HBA fails 

to log back into the new controller. This issue seems to happen only on DMMP 

host. 

Steps to Reproduce
--------------------
1) Setup a configuration with a host containing LSI 6G SAS HBA connected to 

an array
2) Map some luns to the host and start IOs to them
3) After few minutes, take one of the controllers offline
4) Replace the offline controller, with a new identical controller with the 

same firmware
5) Bring the new controller online

Steps taken to fix this issue
-----------------------------
1) redistributed the volumes from the array.

The issue still remains. host still does not log back into the array
 

Expected Results:
----------------------
The host logs back into the new controller, fails back the luns and 

continues to send IOs down this path

Actual Results:
----------------------
The host fails to log back into the new controller.

Config details
---------------
Number of hosts  : 2
Number of arrays : 1
Protocol         : SAS

array info
-----------
CFW version - 07.70.16.00
SM ctlr ip  - kswc-41sms3a/b
Moxa        - kswc-41m9 4003/4

Host Details
---------------
Host OS     - RHEL 6
HSW Version - 10.70.G0.09
 
Host Details
---------------
Host OS     - RHEL 6 ss1
Host IP     - kswc-sever
HSW Version - 10.70.G0.09
Arch        - x86_64
HBA         - LSI 6G SAS
Failover    - DMMP 0.4.9-21

Host OS     - RHEL 6 ss1
Host IP     - kswc-signify
HSW Version - 10.70.G0.09
Arch        - x86_64
HBA         - LSI 6G SAS
Failover    - MPP
Comment 2 RHEL Product and Program Management 2010-06-30 17:23:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 RHEL Product and Program Management 2010-07-15 10:35:41 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Tom Coughlan 2010-10-21 15:13:50 EDT
This is just a stab, it may help narrow this down: if you do a 

echo "- - -" > /sys/class/scsi_host/host<h>/scan

after swapping the controller, does the HBA login and make the devices on that path active again?
Comment 6 Andrius Benokraitis 2010-10-21 15:48:36 EDT
This issue sounds like it needs to first be debugged by GSS unless there is a targeted problem here. That and the reporter is using an old version of RHEL 6.

Note You need to log in before you can comment on or make changes to this bug.